svxlink - sponsor required

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

svxlink - sponsor required

Iain R. Learmonth-2
Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
> I wrote to '[hidden email]' on December 1, 2013.
> Unfortunately, I could not find a sponsor there.

I see there was interest in the package when you posted. For reference, the
thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.

--
e: [hidden email]            w: iain.learmonth.me
x: [hidden email]     t: +447875886930
c: MM6MVQ                  g: IO87we
p: 1F72 607C 5FF2 CCD5 3F01 600D 56FF 9EA4 E984 6C49

attachment0 (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

David A Aitcheson
Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:

> Hi Felix,
>
> On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
>> I wrote to '[hidden email]' on December 1, 2013.
>> Unfortunately, I could not find a sponsor there.
> I see there was interest in the package when you posted. For reference, the
> thread is here:
>
>   https://lists.debian.org/debian-hams/2013/12/msg00000.html
>
> Maybe we can try again.
>
> Thanks,
> Iain.
>

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: https://lists.debian.org/54178675.2080904@...

Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Colin Tuckley
>> On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
>>> I wrote to '[hidden email]' on December 1, 2013.
>>> Unfortunately, I could not find a sponsor there.

Felix, please check that your package is still up to date, put the
package source files somewhere public, like Debian Mentors, and then
ping me, I will take a look at sponsoring it for you.

Colin G8TMV

--
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x38C9D903

Fingers v1.0 -- The original mail processor.


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: https://lists.debian.org/5417EED7.5030805@...

Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Felix Lechner-2
In reply to this post by David A Aitcheson
Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson <[hidden email]> wrote:
Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:
> Hi Felix,
>
> On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
>> I wrote to '[hidden email]' on December 1, 2013.
>> Unfortunately, I could not find a sponsor there.
> I see there was interest in the package when you posted. For reference, the
> thread is here:
>
>   https://lists.debian.org/debian-hams/2013/12/msg00000.html
>
> Maybe we can try again.
>
> Thanks,
> Iain.
>

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.

Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

David A Aitcheson
Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read "14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:
Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson <
[hidden email]> wrote:

Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:
Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.
I see there was interest in the package when you posted. For reference,
the
thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Iain R. Learmonth-2
Hi,

On Sat, Sep 20, 2014 at 09:49:44AM -0400, David A Aitcheson wrote:
> I should think that Iain or Colin could look at the PPA and determine
> what might be needed to move packaging forward.

I'll take a look at the PPA later today.

Thanks,
Iain.

--
e: [hidden email]            w: iain.learmonth.me
x: [hidden email]     t: +447875886930
c: MM6MVQ                  g: IO87we
p: 1F72 607C 5FF2 CCD5 3F01 600D 56FF 9EA4 E984 6C49

attachment0 (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Iain R. Learmonth-2
Hi Felix,

On Sat, Sep 20, 2014 at 03:12:50PM +0100, Iain R. Learmonth wrote:
> I'll take a look at the PPA later today.

I've taken a look at the package. It does appear to be quite a well done
package although there are still some problems to fix. The Debian version
number should be 14.08-1 and the distribution UNRELEASED until it's ready
for upload. Once it's ready for upload, you can run "dch -r" to set this to
unstable. Obviously I'm working from your PPA source package, so you might
have this correct in your VCS.

The package built fine within cowbuilder so all your build dependencies are
correct. Some of the version numbers weren't necessary for Debian though.
You can fix this by running "cme fix dpkg-control" (cme is in the Debian
package libconfig-model-dpkg-perl).

A note for anyone trying to build the package: you will need dh-systemd
installed in order to build the source package. Took me a while to figure
that one out.

There are some lintian errors to fix. You can find the list here:

  http://paste.debian.net/122099/

If you're unsure what an error means, you can check the list of lintian tags
here:

  https://lintian.debian.org/tags/

The copyright file also looks good, but I haven't looked in great detail at
it so might have missed something.

Iain.

--
e: [hidden email]            w: iain.learmonth.me
x: [hidden email]     t: +447875886930
c: MM6MVQ                  g: IO87we
p: 1F72 607C 5FF2 CCD5 3F01 600D 56FF 9EA4 E984 6C49

attachment0 (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Chris Knadle
In reply to this post by Felix Lechner-2
On Friday, September 19, 2014 22:25:15 Felix Lechner wrote:
> Hello David,
>
> The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
> you have any problems.
>
> Regards
> Felix WU8K

svxlink_14.08-1 seems to build fine on amd64 but I'm getting build failures
for i386.  A shortened build log from cowbuilder attached.

  -- Chris

--

Chris Knadle
[hidden email]

svxlink_14.08-1.build.failure (64K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

David A Aitcheson
In reply to this post by David A Aitcheson
Felix, and others,

Well it was working perfectly as expected...

With the changes to the "BASH" package I have lost outbound audio, at least that is the only thing that changed on my system save for a  linux-headers and linux-image update to 3.13.0-37.

What information would you like from me to diagnose this problem? I'll need a list of commands or a script to run if that would help you.

Other than VHF FM, Q-Tel is my only audio communications to the ham radio world.

73
Dave
KB3EFS


On 09/20/14 09:49, David A Aitcheson wrote:
Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic
which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read
"14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine
what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:
Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson <
[hidden email]> wrote:

Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:
Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.
I see there was interest in the package when you posted. For reference,
the
thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Felix Lechner-2
Hi Dave,

Sounds like you have an audio problem. Are you using an audio daemon? Please grep your logs for audio-related errors and share the excerpts.

I don't use Ubuntu anymore, and unfortunately no longer support it like I used to. For an immediate fix, you could downgrade to the old kernel, as long as the changes are not security-relevant.

Yours must have been a very recent upgrade. I cannot even find 'linux-image-3.13.0-37-generic' on packages.ubuntu.com yet.

The 'bash' upgrade is most likely related to 'Shellshock'. I don't think it affects 'qtel'.

Regards,
Felix WU8K


On Sat, Sep 27, 2014 at 11:35 AM, David A Aitcheson <[hidden email]> wrote:
Felix, and others,

Well it was working perfectly as expected...

With the changes to the "BASH" package I have lost outbound audio, at least that is the only thing that changed on my system save for a  linux-headers and linux-image update to 3.13.0-37.

What information would you like from me to diagnose this problem? I'll need a list of commands or a script to run if that would help you.

Other than VHF FM, Q-Tel is my only audio communications to the ham radio world.

73
Dave
KB3EFS


On 09/20/14 09:49, David A Aitcheson wrote:
Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic
which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read
"14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine
what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:
Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson <
[hidden email]> wrote:

Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:
Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:
I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.
I see there was interest in the package when you posted. For reference,
the
thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.

Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

David A Aitcheson
Hi Felix,

It is looking like an audio problem in many ways.

I have to force the microphone on and then the control center crashes so something is wrong somewhere.

The kernel upgrade was 'Shellshock' related as near as I can tell; and all the latest Bash updates are absolutely
'Shellshock' related.

Dave KB3EfS


On 09/27/14 16:20, Felix Lechner wrote:
Hi Dave,

Sounds like you have an audio problem. Are you using an audio daemon?
Please grep your logs for audio-related errors and share the excerpts.

I don't use Ubuntu anymore, and unfortunately no longer support it like I
used to. For an immediate fix, you could downgrade to the old kernel, as
long as the changes are not security-relevant.

Yours must have been a very recent upgrade. I cannot even find
'linux-image-3.13.0-37-generic' on packages.ubuntu.com yet.

The 'bash' upgrade is most likely related to 'Shellshock'. I don't think it
affects 'qtel'.

Regards,
Felix WU8K


On Sat, Sep 27, 2014 at 11:35 AM, David A Aitcheson <
[hidden email]> wrote:

 Felix, and others,

Well it was working perfectly as expected...

With the changes to the "BASH" package I have lost outbound audio, at
least that is the only thing that changed on my system save for a
linux-headers and linux-image update to 3.13.0-37.

What information would you like from me to diagnose this problem? I'll
need a list of commands or a script to run if that would help you.

Other than VHF FM, Q-Tel is my only audio communications to the ham radio
world.

73
Dave
KB3EFS


 On 09/20/14 09:49, David A Aitcheson wrote:

Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic
which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read
"14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine
what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:

 Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson [hidden email] wrote:


 Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:

 Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:

 I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.

 I see there was interest in the package when you posted. For reference,

 the

 thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.


 --
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.



--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.
Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

Felix Lechner-2
Hi Dave,

Try to disable PulseAudio (make sure to stop it from respawning). That could help isolate your problem.

Felix WU8K

On Sat, Sep 27, 2014 at 3:22 PM, David A Aitcheson <[hidden email]> wrote:
Hi Felix,

It is looking like an audio problem in many ways.

I have to force the microphone on and then the control center crashes so something is wrong somewhere.

The kernel upgrade was 'Shellshock' related as near as I can tell; and all the latest Bash updates are absolutely
'Shellshock' related.

Dave KB3EfS


On 09/27/14 16:20, Felix Lechner wrote:
Hi Dave,

Sounds like you have an audio problem. Are you using an audio daemon?
Please grep your logs for audio-related errors and share the excerpts.

I don't use Ubuntu anymore, and unfortunately no longer support it like I
used to. For an immediate fix, you could downgrade to the old kernel, as
long as the changes are not security-relevant.

Yours must have been a very recent upgrade. I cannot even find
'linux-image-3.13.0-37-generic' on packages.ubuntu.com yet.

The 'bash' upgrade is most likely related to 'Shellshock'. I don't think it
affects 'qtel'.

Regards,
Felix WU8K


On Sat, Sep 27, 2014 at 11:35 AM, David A Aitcheson <
[hidden email]> wrote:

 Felix, and others,

Well it was working perfectly as expected...

With the changes to the "BASH" package I have lost outbound audio, at
least that is the only thing that changed on my system save for a
linux-headers and linux-image update to 3.13.0-37.

What information would you like from me to diagnose this problem? I'll
need a list of commands or a script to run if that would help you.

Other than VHF FM, Q-Tel is my only audio communications to the ham radio
world.

73
Dave
KB3EFS


 On 09/20/14 09:49, David A Aitcheson wrote:

Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic
which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read
"14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine
what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:

 Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson [hidden email] wrote:


 Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:

 Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:

 I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.

 I see there was interest in the package when you posted. For reference,

 the

 thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.


 --
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.



--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.

Reply | Threaded
Open this post in threaded view
|

Re: svxlink - sponsor required

David A Aitcheson
Felix and group,

Taking pulseaudio-module-bluetooth out (I do not have a BlueTooth device in the system) was the answer.

Thank You for the suggestions and assistance.

73
Dave
KB3EFS


On 09/27/14 19:42, Felix Lechner wrote:
Hi Dave,

Try to disable PulseAudio (make sure to stop it from respawning). That
could help isolate your problem.

Felix WU8K

On Sat, Sep 27, 2014 at 3:22 PM, David A Aitcheson <
[hidden email]> wrote:

 Hi Felix,

It is looking like an audio problem in many ways.

I have to force the microphone on and then the control center crashes so
something is wrong somewhere.

The kernel upgrade was 'Shellshock' related as near as I can tell; and all
the latest Bash updates are absolutely 'Shellshock' related.

Dave KB3EfS


 On 09/27/14 16:20, Felix Lechner wrote:

Hi Dave,

Sounds like you have an audio problem. Are you using an audio daemon?
Please grep your logs for audio-related errors and share the excerpts.

I don't use Ubuntu anymore, and unfortunately no longer support it like I
used to. For an immediate fix, you could downgrade to the old kernel, as
long as the changes are not security-relevant.

Yours must have been a very recent upgrade. I cannot even find
'linux-image-3.13.0-37-generic' on packages.ubuntu.com yet.

The 'bash' upgrade is most likely related to 'Shellshock'. I don't think it
affects 'qtel'.

Regards,
Felix WU8K


On Sat, Sep 27, 2014 at 11:35 AM, David A Aitcheson [hidden email] wrote:


  Felix, and others,

Well it was working perfectly as expected...

With the changes to the "BASH" package I have lost outbound audio, at
least that is the only thing that changed on my system save for a
linux-headers and linux-image update to 3.13.0-37.

What information would you like from me to diagnose this problem? I'll
need a list of commands or a script to run if that would help you.

Other than VHF FM, Q-Tel is my only audio communications to the ham radio
world.

73
Dave
KB3EFS


 On 09/20/14 09:49, David A Aitcheson wrote:

Felix,

I added your PPA and updated Synaptic, then selected Qtel in synaptic
which included the required libraries.

Installed without errors.

Runs without errors even using old config file.

I must apologize for the typo in my first message "14.07" should read
"14.04" as that is the correct number for Trusty-Tahr.

I should think that Iain or Colin could look at the PPA and determine
what might be needed to move packaging forward.

Thank You.

73
Dave
KB3EFS


On 09/20/14 01:25, Felix Lechner wrote:

 Hello David,

The PPA now has packages for Svxlink 14.08 on trusty. Please let me know if
you have any problems.

Regards
Felix WU8K


On Mon, Sep 15, 2014 at 5:38 PM, David A Aitcheson [hidden email] [hidden email] wrote:


 Felix,

Please update your PPA on Launchpad to include Trusty-Tahr Ubuntu
14.07-LTS when you can.

I miss using Q-tel to contact my Echo-Link acquaintances.

Thank You.

73
Dave
KB3EFS


On 09/15/14 19:15, Iain R. Learmonth wrote:

 Hi Felix,

On Mon, Sep 15, 2014 at 04:05:52PM -0700, Felix Lechner wrote:

 I wrote to '[hidden email]' on December 1, 2013.
Unfortunately, I could not find a sponsor there.

 I see there was interest in the package when you posted. For reference,

 the

 thread is here:

  https://lists.debian.org/debian-hams/2013/12/msg00000.html

Maybe we can try again.

Thanks,
Iain.


 --
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.



--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.



--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


    

--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.